<bugID>416211<Summary>Tagged results don't show bookmark title when matching the tag</Summary><Description>If you tag a page and change the title, autocomplete doesn't show the bookmarked title if you match on the tag. However, it will show the bookmark title if you match against the bookmark (and not the tag).

This will be fixed by bug 414287. I'll attach a testcase to this bug.</Description></bugID>